//<c>   Copyright 1991-1998 by Gerry J. Danen; all rights reserved.

//<t>   Timed message log

#define TMSG_
#include"project.h"


void    main( void )
{
    FILE        *out ;
    int         strikes = 0 ;
    UCHAR       stuff[128], outstuff[81] ;

    init_job();
    CmdLine( stuff );                           // get the command line
    st_trim( stuff );
    if ( ! strlen(stuff) )
        abort_job( 1, "Nothing to log" );

    if ( on_network )
    {
        nw_get_station_address( node_addr );
        sprintf( outstuff, "%08ld %08ld %-12s %s %s:", sys_ymd, sys_hms, node_addr, serverName, userName );
    }
    else
    {
        sprintf( outstuff, "%08ld %08ld:", sys_ymd, sys_hms );
    }

strike:
    out = fopen( datafile, "a+" );
    if ( ! out )
    {
        strikes += 1 ;
        if ( strikes < 99 )
            goto strike ;
        abort_job( 2, "Could not log message [%s] to %s", stuff, datafile );
    }
    fprintf( out, "%s %s\n", outstuff, stuff );
    fcloseall();
    exit( GOOD_EXIT );
}
